{*************************************************************************}
{*                                                                       *}
{*                  III Olimpiada Informatyczna                          *}
{*                                                                       *}
{*   Rozwiazanie zadania: PRETY                                          *}
{*   Plik:                PRE.PAS                                        *}
{*   Autor:               Marek Pawlicki                                 *}
{*************************************************************************}

{$N+,E+}
program Prety;
 const
  e=3e-14;                { Dokladnosc obliczenia kata x }
 var
  l,d,                      { Dlugosc poczatkowa preta, wydluzenie }
  a,b,                    { Lewy i prawy koniec przedzialu }
  s,                      { Srodek przedzialu - kolejne przyblizenie }
  y,                      { Wartosc funkcji w punkcie s }
  u,                      { Wspolczynnik u=(d+l)/l }
  r   :double;            { Promien luku }
  t   :integer;           { Odchylenie srodka preta w przyblizeniu }
  n,i :word;              { Liczba danych, licznik petli }
  f,g :text;              { Plik wejsciowy i wyjsciowy }

begin
 assign(f,'PRE.IN');
 reset(f);
 assign(g,'PRE.OUT');
 rewrite(g);
 readln(f,n);             { Wczytaj liczbe danych }
 for i:=1 to n do begin
  readln(f,l,d);          { Wczytaj dane preta }
  l:=l/2;  d:=d/2;  u:=(d+l)/l;
  a:=0;  b:=Pi/2;         { Ustal konce przedzialu }
  while b-a>=e do begin
   s:=(a+b)/2;            { Srodek przedzialu }
   y:=s-u*sin(s);         { Wartosc funkcji dla s }
   if y<0 then a:=s
   else
    if y>0 then b:=s else break
  end; {while }
  r:=(d+l)/s;             { Oblicz promien }
  t:=round(r-r*cos(s));   { Oblicz odchylenie }
  writeln(g,t)
 end; {for i:=1 }
 close(f);
 close(g)
end. {Prety}
