{*************************************************************************}
{*                                                                       *}
{*                  III Olimpiada Informatyczna                          *}
{*                                                                       *}
{*   Rozwiazanie zadania: PIEC MONET                                     *}
{*   Plik:                MONETY.PAS                                     *}
{*   Autor:               Albert Krzymowski                              *}
{*************************************************************************}

program Sedzia;
 uses
  Crt,UMoneta,UWaga,USort;

 var
  Key           :char;
  Bylo          :array[TMoneta] of boolean;
  Permutacja    :array[1..5] of TMoneta;
  Wczytano      :integer;

{*************************************************************************}
{ Wczytuje permutacje liter A,B,C,D,E z klawiatury.                       }
{  Sprawdza czy podane litery napewno tworza permutacje.                  }
{*************************************************************************}

 procedure WczytajPermutacje;
  var m:TMoneta;

  procedure Dodaj(m:TMoneta);
   { dodaje kolejno monete do tablicy }
  begin
   if not Bylo[m] then begin
    Bylo[m]:=true;
    inc(Wczytano);
    Permutacja[Wczytano]:=m;
    writeln(MonetaToStr(m))
   end
   else
    writeln(MonetaToStr(m),' juz bylo.')
  end; {Dodaj}

 begin  { *** Wczytaj Permutacje *** }
  for m:=A to E do Bylo[m]:=false;
  Wczytano:=0;
  repeat
   write('Podaj monete nr ',wczytano+1,'>');
   key:=readkey;
   case key of
    'a','A' :Dodaj(A);
    'b','B' :Dodaj(B);
    'c','C' :Dodaj(C);
    'd','D' :Dodaj(D);
    'e','E' :Dodaj(E)
    else
     writeln(#13,'Nacisnij jeden z klawiszy: A B C D E <ESC>')
   end
  until (wczytano=5) or (key=chr(27))
 end; {WczytajPermutacje}

{*************************************************************************}

begin
 WczytajPermutacje;
 if Wczytano=5 then begin
  writeln;
  writeln('Testuje na permutacji: ',MonetyToStr(Permutacja[1],
                                                Permutacja[2],
                                                Permutacja[3],
                                                Permutacja[4],
                                                Permutacja[5]));
  writeln;
  WagaKolejnosc(Permutacja[1],
                Permutacja[2],
                Permutacja[3],
                Permutacja[4],
                Permutacja[5]);

  SortujMonety;
  if ileRazyWynik=0 then
   writeln('Twoja funkcja nie podala rozwiazania !!!');
  writeln('Koniec.')
 end
 else
  writeln('Przerwano.')
end. {Sedzia}

